package icmp

import (
	"git.loafle.net/overflow_scanner/probe/discovery/protocol/icmp/privileged"
	"git.loafle.net/overflow_scanner/probe/discovery/protocol/icmp/unprivileged"
	"git.loafle.net/overflow_scanner/probe/discovery/session"
)

func Scan(discoverySession session.DiscoverySession) error {
	if nil != discoverySession.PCapScanner() {
		return privileged.Scan(discoverySession)
	}

	return unprivileged.Scan(discoverySession)
}
